function selectElementsTable(tbl) {

  var cellList = tbl.getElementsByTagName("INPUT")

  var idList = '';

  for (i = 0; i < cellList.length; i++) {
    var cID = cellList[i].getAttribute('pObjIDs');
    if (cID.length > 0) {
      // alert( String(i) + "-" + cID );
      idList += (cID + ";");
    }
  }

  if (idList.length > 0) {
    // alert( idList );
    ignore = true;
    desiteAPI.clearSelection(false);
    ignore = false;
    desiteAPI.selectElements(idList, true);
    desiteAPI.repaint3DView();
  }

}

function selectElements(idList) {
  if (idList.length > 0) {
    // alert( idList );
    ignore = true;
    desiteAPI.clearSelection(false);
    ignore = false;
    desiteAPI.selectElements(idList, true);
    desiteAPI.repaint3DView();
  }
}

function showElementsTable(tbl) {

  var cellList = tbl.getElementsByTagName("INPUT")

  var idList = '';

  for (i = 0; i < cellList.length; i++) {
    var cID = cellList[i].getAttribute('pObjIDs');
    if (cID.length > 0) {
      idList += (cID + ";");
    }
  }

  if (idList.length > 0) {
    // alert( idList );
    desiteAPI.hideAll(false);
    desiteAPI.showElements(idList);

  }

}

function clearTable(tbl) {
  var rowCount = countRows(tbl);
  for (i = rowCount - 1; i > 0; i--) tbl.deleteRow(i);
}

function addRow(tbl, cellContent, __id) {

  var countR = countRows(tbl);
  var r = tbl.insertRow(countR);

  r.id = __id;

  if (countR > 0) {
    if (countR % 2 == 0) {
      r.className = "odd";
    } else {
      r.className = "even";
    }
  }

  r.innerHTML = cellContent;
}

function countRows(tbl) {
  var rowCount = tbl.getElementsByTagName("TR").length;
  return rowCount;
}

function removeRow(tblID, rowID) {

  var tbl = document.getElementById(tblID);
  var rows = tbl.rows;

  var i = 0;

  for (i = 0; i < rows.length; i++) {
    if (rows[i].id == rowID) break;
  }

  tbl.deleteRow(i);

  for (i = 0; i < rows.length; i++) {
    if (i == 0) continue;
    if (i % 2 == 0) {
      rows[i].className = "odd";
    } else {
      rows[i].className = "even";
    }

    rows[i].childNodes[0].innerHTML = i;
  }

}
